Part Circle

From FreeCAD Documentation
Revision as of 13:58, 15 February 2022 by C4e (talk | contribs)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Circle

Menu location
Part → Create primitives → Circle
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
None

Description

This command will create a circular curved edge. With the default values, the circular curved edge will be closed and therefore will be a circle. If the properties Angle 0 or Angle 1 are changed from their default values (0 and 360) the edge will be an open curve, an arc.

Alternatively a Part Circle can be initially defined from three points. Once created the circle will only contain the standard Part Circle properties and will no longer contain a reference to the creation points.

Usage

A Circle geometric primitive is available from the Create Primitives dialogue in the Part workbench.

  1. Switch to the Part
  2. There are several ways to access the Create Primitives dialogue:


Notes

Properties

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base


Circle

  • DataRadius (Length): The radius of the curved edge (arc or circle)
  • DataAngle 0 (Angle)}: Start of the curved edge, (degrees anti-clockwise), the default value is 0
  • DataAngle 1 (Angle)}: End of the curved edge, (degrees anti-clockwise), the default value is 360

Limitations

Scripting

A Part Circle can be created with the following function:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

circle.Label = "new circleName"

You can access and modify attributes of the circle object. For example, you may wish to modify the radius, angle 0 and angle 1 parameters.

circle.Radius = 10
circle.Angle0 = 45
circle.Angle1 = 225

The result will be a 45 degree rotated semicircle with a radius of 10.

You can change its placement and orientation with:

circle.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))